Skip to main content
PUT
/
v1
/
datapoints
/
{datapoint_id}
Update a specific datapoint
curl --request PUT \
  --url https://api.honeyhive.ai/v1/datapoints/{datapoint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": {},
  "history": [
    {}
  ],
  "ground_truth": {},
  "metadata": {},
  "linked_event": "<string>",
  "linked_datasets": [
    "<string>"
  ]
}
'
import requests

url = "https://api.honeyhive.ai/v1/datapoints/{datapoint_id}"

payload = {
"inputs": {},
"history": [{}],
"ground_truth": {},
"metadata": {},
"linked_event": "<string>",
"linked_datasets": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: {},
history: [{}],
ground_truth: {},
metadata: {},
linked_event: '<string>',
linked_datasets: ['<string>']
})
};

fetch('https://api.honeyhive.ai/v1/datapoints/{datapoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "updated": true,
  "result": {
    "modifiedCount": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

datapoint_id
string
required

ID of datapoint to update

Body

application/json

Request body for PUT /datapoints/{datapoint_id}

inputs
object
history
object[]
ground_truth
object
metadata
object
linked_event
string
linked_datasets
string[]
Minimum string length: 1

Response

Datapoint successfully updated

Response for PUT /datapoints/{datapoint_id}

updated
boolean
required
result
object
required